package org.dive4elements.river.client.server;

import org.apache.log4j.Logger;
import org.apache.log4j.PropertyConfigurator;


public class LoggingConfigurator {

    private static final Logger logger =
        Logger.getLogger(LoggingConfigurator.class);


    private LoggingConfigurator() {
    }

    public static void init(String log4jProperties) {
        if (log4jProperties != null && log4jProperties.length() > 0) {
            PropertyConfigurator.configure(log4jProperties);
            logger.info("Log4J logging initialized.");
        }
        else {
            System.out.println("Error while setting up Log4J configuration.");
        }

        System.out.println("LoggingConfigurator.init finished");
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
